Name:		midori
Version:	0.5.11
Release:	%mkrel 1

Summary:	Web browser based on WebKitGtk
Summary(de):	Schneller, genügsamer Webbrowser basierend auf WebKitGTK
Source0:	http://goodies.xfce.org/releases/midori/%name-%version.tar.xz
Source1:	midori.png
License:	LGPLv2+
Group:		Networking/WWW
URL:		http://www.twotoasts.de/index.php?/pages/midori_summary.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#------------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}rsvg2-devel
BuildRequires: %{_lib}soup-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}vala-devel
BuildRequires: %{_lib}webkitgtk1.0-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}xscrnsaver-devel
BuildRequires: %{_lib}zeitgeist2.0-devel
BuildRequires:  python-docutils
BuildRequires:	intltool
BuildRequires:	python-devel
BuildRequires:	librsvg
BuildRequires:	cmake
BuildRequires:	libpthread-stubs
BuildRequires:	libgcr-devel
#-----------------------------------------
Provides:	webclient
Obsoletes: 	%{name} < %version
Requires: glib-networking
Requires: gsettings-desktop-schemas
Requires: dconf

%description
Midori is a lightweight GTK+ 2 web browser based on WebKitGtk. It 
features tabs, windows and session management, bookmarks stored with 
XBEL, searchbox based on OpenSearch, and user scripts support.

%description -l de
Midori ist ein genügsamer Webbrowser auf Basis von Webkit.

Einige seiner Fähigkeiten sind:

 * Reibungslose Zusammenarbeit mit GTK+2.
 * Schnelle Darstellung durch Nutzung von Webkit.
 * Reiter, Fenster und Sitzungsverwaltung.
 * Flexibel konfigurierbare Suche im Web.
 * Unterstützt Skripte und Styles des Anwenders.
 * Unkomplizierte Verwaltung der Lesezeichen.
 * Anpassbare und erweiterbare Oberfläche.
 * Unterstützt in C geschriebene Erweiterungen.
 * Anpassbares Kontextmenü.



%prep
%setup -qn %name-%version

%build
%define _disable_ld_no_undefined 1


%cmake
%make

%install
rm -fr %buildroot

%makeinstall_std -C build


#icon fix
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/pixmaps

#devel library not needed
rm -rf $RPM_BUILD_ROOT%{_libdir}/libmidori-core.so

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%_sysconfdir/xdg/midori/extensions/adblock/config
%{_datadir}/doc/midori/*
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/*.desktop
%ghost %{_datadir}/applications/%{name}-private.desktop
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_sysconfdir}/xdg/midori/search
%{_datadir}/locale/*/LC_MESSAGES/midori.mo

%{_libdir}/libmidori-core.so.0.0.0
%{_libdir}/libmidori-core.so.1
%{_datadir}/appdata/midori.appdata.xml


%changelog
* Mon Aug 31 2015 bb <bb> 0.5.11-1pclos2015
- update

* Fri May 01 2015 ghostbunny <ghostbunny at gmx dot de> 0.5.10-1pclos2015
- 0.5.10
- add missing BR cmake, libpthread-stubs, libgcr-devel

* Mon Nov 10 2014 bb <bb> 0.5.9-1pclos2014
- update

